<?php
/*
 * This file is to be used only under IV Sensitive Capabilities
 * 
 */
	if(!isset($_SESSION)) session_start();

	$remote_addr = $_SERVER["REMOTE_ADDR"];
	if ($remote_addr != "127.0.0.1")
		die(json_encode(["error" => "unaccepted remote addr: $remote_addr"]));

	if (empty($driveI))
		$driveI = "I:";
	$fbToolsLocation = $driveI . '\apps\BuildRT\Sensitive\tools\crawler\facebookTools.php';
	if (!array_key_exists("fb_action", $_REQUEST) ||
		!array_key_exists("tableSuffix", $_REQUEST) ||
		!array_key_exists("currentFbTimestamp", $_REQUEST) ||
		!file_exists($fbToolsLocation))
		die(json_encode(["error" => "invalid arguments"]));
		
	$fb_action = $_REQUEST["fb_action"];
	$tableSuffix = $_REQUEST["tableSuffix"];
	$currentFbTimestamp = $_REQUEST["currentFbTimestamp"];
	
	require_once $fbToolsLocation;
?>